FAQ
thanks

we that is right I added org.apache.pig.piggybank.storage.XMLLoader and thet
works :)
GREATE

thanks again

On Fri, Feb 11, 2011 at 7:13 PM, Robert Waddell
wrote:
Baraa,

I believe you have to fully qualify the loader when you use it in Pig (eg.
org.apache.Pig.whatever)

Robert.

On 11 February 2011 18:06, Baraa Mohamad <baraa.issa.mohamad@gmail.com
wrote:
hi all
please I need your help, i'm a newbie with pig but I really would like to
use it

I tried to use xmlloader within this small program
register H:/apps/pig-0.7.0/piggybank.jar;

A = load 'brain.xml' using XMLLoader('attr') as (x:chararray);

but i get always some errors

ERROR 1070: Could not resolve XMLLoader using imports: [,
org.apache.pig.builtin., org.apache.pig.impl.builtin.]

*java.lang.RuntimeException: Cannot instantiate:XMLLoader*
at
org.apache.pig.impl.PigContext.instantiateFuncFromSpec(PigContext.java:455)
at

org.apache.pig.impl.logicalLayer.parser.QueryParser.NonEvalFuncSpec(QueryParser.java:5087)
at

org.apache.pig.impl.logicalLayer.parser.QueryParser.LoadClause(QueryParser.java:1434)
at

org.apache.pig.impl.logicalLayer.parser.QueryParser.BaseExpr(QueryParser.java:1245)
at

org.apache.pig.impl.logicalLayer.parser.QueryParser.Expr(QueryParser.java:911)
at

org.apache.pig.impl.logicalLayer.parser.QueryParser.Parse(QueryParser.java:700)
at

org.apache.pig.impl.logicalLayer.LogicalPlanBuilder.parse(LogicalPlanBuilder.java:63)
at org.apache.pig.PigServer$Graph.parseQuery(PigServer.java:1164)
at org.apache.pig.PigServer$Graph.registerQuery(PigServer.java:1114)
at org.apache.pig.PigServer.registerQuery(PigServer.java:425)
at
org.apache.pig.tools.grunt.GruntParser.processPig(GruntParser.java:737)
at

org.apache.pig.tools.pigscript.parser.PigScriptParser.parse(PigScriptParser.java:324)
at

org.apache.pig.tools.grunt.GruntParser.parseStopOnError(GruntParser.java:162)
at

org.apache.pig.tools.grunt.GruntParser.parseStopOnError(GruntParser.java:138)
at org.apache.pig.tools.grunt.Grunt.exec(Grunt.java:89)
at org.apache.pig.Main.main(Main.java:391)
Caused by: org.apache.pig.backend.executionengine.ExecException: ERROR
1070:
Could not resolve XMLLoader using imports: [, org.apache.pig.builtin.,
org.apache.pig.impl.builtin.]
at
org.apache.pig.impl.PigContext.resolveClassName(PigContext.java:440)
at
org.apache.pig.impl.PigContext.instantiateFuncFromSpec(PigContext.java:452)
please I need your help
I'm using pig-0.7.0

best regards

Search Discussions

Discussion Posts

Previous

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 3 of 3 | next ›
Discussion Overview
groupuser @
categoriespig, hadoop
postedFeb 11, '11 at 6:07p
activeFeb 11, '11 at 6:20p
posts3
users2
websitepig.apache.org

2 users in discussion

Baraa Mohamad: 2 posts Robert Waddell: 1 post

People

Translate

site design / logo © 2021 Grokbase